1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#***************************************************************************
18#                                  _   _ ____  _
19#  Project                     ___| | | |  _ \| |
20#                             / __| | | | |_) | |
21#                            | (__| |_| |  _ <| |___
22#                             \___|\___/|_| \_\_____|
23#
24# Copyright (C) 1998 - 2013, Daniel Stenberg, <daniel@haxx.se>, et al.
25#
26# This software is licensed as described in the file COPYING, which
27# you should have received as part of this distribution. The terms
28# are also available at http://curl.haxx.se/docs/copyright.html.
29#
30# You may opt to use, copy, modify, merge, publish, distribute and/or sell
31# copies of the Software, and permit persons to whom the Software is
32# furnished to do so, under the terms of the COPYING file.
33#
34# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35# KIND, either express or implied.
36#
37###########################################################################
38VPATH = @srcdir@
39am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
40am__make_running_with_option = \
41  case $${target_option-} in \
42      ?) ;; \
43      *) echo "am__make_running_with_option: internal error: invalid" \
44              "target option '$${target_option-}' specified" >&2; \
45         exit 1;; \
46  esac; \
47  has_opt=no; \
48  sane_makeflags=$$MAKEFLAGS; \
49  if $(am__is_gnu_make); then \
50    sane_makeflags=$$MFLAGS; \
51  else \
52    case $$MAKEFLAGS in \
53      *\\[\ \	]*) \
54        bs=\\; \
55        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
56          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
57    esac; \
58  fi; \
59  skip_next=no; \
60  strip_trailopt () \
61  { \
62    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
63  }; \
64  for flg in $$sane_makeflags; do \
65    test $$skip_next = yes && { skip_next=no; continue; }; \
66    case $$flg in \
67      *=*|--*) continue;; \
68        -*I) strip_trailopt 'I'; skip_next=yes;; \
69      -*I?*) strip_trailopt 'I';; \
70        -*O) strip_trailopt 'O'; skip_next=yes;; \
71      -*O?*) strip_trailopt 'O';; \
72        -*l) strip_trailopt 'l'; skip_next=yes;; \
73      -*l?*) strip_trailopt 'l';; \
74      -[dEDm]) skip_next=yes;; \
75      -[JT]) skip_next=yes;; \
76    esac; \
77    case $$flg in \
78      *$$target_option*) has_opt=yes; break;; \
79    esac; \
80  done; \
81  test $$has_opt = yes
82am__make_dryrun = (target_option=n; $(am__make_running_with_option))
83am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
84pkgdatadir = $(datadir)/@PACKAGE@
85pkgincludedir = $(includedir)/@PACKAGE@
86pkglibdir = $(libdir)/@PACKAGE@
87pkglibexecdir = $(libexecdir)/@PACKAGE@
88am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
89install_sh_DATA = $(install_sh) -c -m 644
90install_sh_PROGRAM = $(install_sh) -c
91install_sh_SCRIPT = $(install_sh) -c
92INSTALL_HEADER = $(INSTALL_DATA)
93transform = $(program_transform_name)
94NORMAL_INSTALL = :
95PRE_INSTALL = :
96POST_INSTALL = :
97NORMAL_UNINSTALL = :
98PRE_UNINSTALL = :
99POST_UNINSTALL = :
100build_triplet = @build@
101host_triplet = @host@
102subdir = tests
103DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
104	$(top_srcdir)/mkinstalldirs README
105ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
106am__aclocal_m4_deps = $(top_srcdir)/m4/curl-compilers.m4 \
107	$(top_srcdir)/m4/curl-confopts.m4 \
108	$(top_srcdir)/m4/curl-functions.m4 \
109	$(top_srcdir)/m4/curl-openssl.m4 \
110	$(top_srcdir)/m4/curl-override.m4 \
111	$(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
112	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
113	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
114	$(top_srcdir)/m4/xc-am-iface.m4 \
115	$(top_srcdir)/m4/xc-cc-check.m4 \
116	$(top_srcdir)/m4/xc-lt-iface.m4 \
117	$(top_srcdir)/m4/xc-translit.m4 \
118	$(top_srcdir)/m4/xc-val-flgs.m4 \
119	$(top_srcdir)/m4/zz40-xc-ovr.m4 \
120	$(top_srcdir)/m4/zz50-xc-ovr.m4 \
121	$(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
122	$(top_srcdir)/configure.ac
123am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124	$(ACLOCAL_M4)
125mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
126CONFIG_HEADER = $(top_builddir)/lib/curl_config.h \
127	$(top_builddir)/include/curl/curlbuild.h
128CONFIG_CLEAN_FILES =
129CONFIG_CLEAN_VPATH_FILES =
130AM_V_P = $(am__v_P_@AM_V@)
131am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
132am__v_P_0 = false
133am__v_P_1 = :
134AM_V_GEN = $(am__v_GEN_@AM_V@)
135am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
136am__v_GEN_0 = @echo "  GEN     " $@;
137am__v_GEN_1 = 
138AM_V_at = $(am__v_at_@AM_V@)
139am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
140am__v_at_0 = @
141am__v_at_1 = 
142SOURCES =
143DIST_SOURCES =
144RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
145	ctags-recursive dvi-recursive html-recursive info-recursive \
146	install-data-recursive install-dvi-recursive \
147	install-exec-recursive install-html-recursive \
148	install-info-recursive install-pdf-recursive \
149	install-ps-recursive install-recursive installcheck-recursive \
150	installdirs-recursive pdf-recursive ps-recursive \
151	tags-recursive uninstall-recursive
152am__can_run_installinfo = \
153  case $$AM_UPDATE_INFO_DIR in \
154    n|no|NO) false;; \
155    *) (install-info --version) >/dev/null 2>&1;; \
156  esac
157RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
158  distclean-recursive maintainer-clean-recursive
159am__recursive_targets = \
160  $(RECURSIVE_TARGETS) \
161  $(RECURSIVE_CLEAN_TARGETS) \
162  $(am__extra_recursive_targets)
163AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
164	distdir
165am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
166# Read a list of newline-separated strings from the standard input,
167# and print each of them once, without duplicates.  Input order is
168# *not* preserved.
169am__uniquify_input = $(AWK) '\
170  BEGIN { nonempty = 0; } \
171  { items[$$0] = 1; nonempty = 1; } \
172  END { if (nonempty) { for (i in items) print i; }; } \
173'
174# Make sure the list of sources is unique.  This is necessary because,
175# e.g., the same source file might be shared among _SOURCES variables
176# for different programs/libraries.
177am__define_uniq_tagged_files = \
178  list='$(am__tagged_files)'; \
179  unique=`for i in $$list; do \
180    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
181  done | $(am__uniquify_input)`
182ETAGS = etags
183CTAGS = ctags
184DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
185am__relativize = \
186  dir0=`pwd`; \
187  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
188  sed_rest='s,^[^/]*/*,,'; \
189  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
190  sed_butlast='s,/*[^/]*$$,,'; \
191  while test -n "$$dir1"; do \
192    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
193    if test "$$first" != "."; then \
194      if test "$$first" = ".."; then \
195        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
196        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
197      else \
198        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
199        if test "$$first2" = "$$first"; then \
200          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
201        else \
202          dir2="../$$dir2"; \
203        fi; \
204        dir0="$$dir0"/"$$first"; \
205      fi; \
206    fi; \
207    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
208  done; \
209  reldir="$$dir2"
210ACLOCAL = @ACLOCAL@
211AMTAR = @AMTAR@
212AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
213AR = @AR@
214AS = @AS@
215AUTOCONF = @AUTOCONF@
216AUTOHEADER = @AUTOHEADER@
217AUTOMAKE = @AUTOMAKE@
218AWK = @AWK@
219BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
220CC = @CC@
221CCDEPMODE = @CCDEPMODE@
222CFLAGS = @CFLAGS@
223CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
224CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
225CPP = @CPP@
226CPPFLAGS = @CPPFLAGS@
227CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
228CURLVERSION = @CURLVERSION@
229CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
230CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
231CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
232CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
233CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
234CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
235CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
236CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
237CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
238CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
239CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
240CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
241CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
242CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
243CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
244CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
245CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
246CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
247CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
248CYGPATH_W = @CYGPATH_W@
249DEFS = @DEFS@
250DEPDIR = @DEPDIR@
251DLLTOOL = @DLLTOOL@
252DSYMUTIL = @DSYMUTIL@
253DUMPBIN = @DUMPBIN@
254ECHO_C = @ECHO_C@
255ECHO_N = @ECHO_N@
256ECHO_T = @ECHO_T@
257EGREP = @EGREP@
258ENABLE_SHARED = @ENABLE_SHARED@
259ENABLE_STATIC = @ENABLE_STATIC@
260EXEEXT = @EXEEXT@
261FGREP = @FGREP@
262GREP = @GREP@
263HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
264HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
265HAVE_LIBZ = @HAVE_LIBZ@
266HAVE_SSLEAY_SRP = @HAVE_SSLEAY_SRP@
267IDN_ENABLED = @IDN_ENABLED@
268INSTALL = @INSTALL@
269INSTALL_DATA = @INSTALL_DATA@
270INSTALL_PROGRAM = @INSTALL_PROGRAM@
271INSTALL_SCRIPT = @INSTALL_SCRIPT@
272INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
273IPV6_ENABLED = @IPV6_ENABLED@
274LD = @LD@
275LDFLAGS = @LDFLAGS@
276LIBCURL_LIBS = @LIBCURL_LIBS@
277LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
278LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
279LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
280LIBOBJS = @LIBOBJS@
281LIBS = @LIBS@
282LIBTOOL = @LIBTOOL@
283LIPO = @LIPO@
284LN_S = @LN_S@
285LTLIBOBJS = @LTLIBOBJS@
286MAINT = @MAINT@
287MAKEINFO = @MAKEINFO@
288MANIFEST_TOOL = @MANIFEST_TOOL@
289MANOPT = @MANOPT@
290MKDIR_P = @MKDIR_P@
291NM = @NM@
292NMEDIT = @NMEDIT@
293NROFF = @NROFF@
294OBJDUMP = @OBJDUMP@
295OBJEXT = @OBJEXT@
296OTOOL = @OTOOL@
297OTOOL64 = @OTOOL64@
298PACKAGE = @PACKAGE@
299PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
300PACKAGE_NAME = @PACKAGE_NAME@
301PACKAGE_STRING = @PACKAGE_STRING@
302PACKAGE_TARNAME = @PACKAGE_TARNAME@
303PACKAGE_URL = @PACKAGE_URL@
304PACKAGE_VERSION = @PACKAGE_VERSION@
305PATH_SEPARATOR = @PATH_SEPARATOR@
306PERL = @PERL@
307PKGADD_NAME = @PKGADD_NAME@
308PKGADD_PKG = @PKGADD_PKG@
309PKGADD_VENDOR = @PKGADD_VENDOR@
310PKGCONFIG = @PKGCONFIG@
311RANDOM_FILE = @RANDOM_FILE@
312RANLIB = @RANLIB@
313REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
314SED = @SED@
315SET_MAKE = @SET_MAKE@
316SHELL = @SHELL@
317SSL_ENABLED = @SSL_ENABLED@
318STRIP = @STRIP@
319SUPPORT_FEATURES = @SUPPORT_FEATURES@
320SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
321USE_ARES = @USE_ARES@
322USE_AXTLS = @USE_AXTLS@
323USE_CYASSL = @USE_CYASSL@
324USE_DARWINSSL = @USE_DARWINSSL@
325USE_GNUTLS = @USE_GNUTLS@
326USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
327USE_LIBRTMP = @USE_LIBRTMP@
328USE_LIBSSH2 = @USE_LIBSSH2@
329USE_NGHTTP2 = @USE_NGHTTP2@
330USE_NSS = @USE_NSS@
331USE_OPENLDAP = @USE_OPENLDAP@
332USE_POLARSSL = @USE_POLARSSL@
333USE_SCHANNEL = @USE_SCHANNEL@
334USE_SSLEAY = @USE_SSLEAY@
335USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
336VERSION = @VERSION@
337VERSIONNUM = @VERSIONNUM@
338ZLIB_LIBS = @ZLIB_LIBS@
339abs_builddir = @abs_builddir@
340abs_srcdir = @abs_srcdir@
341abs_top_builddir = @abs_top_builddir@
342abs_top_srcdir = @abs_top_srcdir@
343ac_ct_AR = @ac_ct_AR@
344ac_ct_CC = @ac_ct_CC@
345ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
346am__include = @am__include@
347am__leading_dot = @am__leading_dot@
348am__quote = @am__quote@
349am__tar = @am__tar@
350am__untar = @am__untar@
351bindir = @bindir@
352build = @build@
353build_alias = @build_alias@
354build_cpu = @build_cpu@
355build_os = @build_os@
356build_vendor = @build_vendor@
357builddir = @builddir@
358datadir = @datadir@
359datarootdir = @datarootdir@
360docdir = @docdir@
361dvidir = @dvidir@
362exec_prefix = @exec_prefix@
363host = @host@
364host_alias = @host_alias@
365host_cpu = @host_cpu@
366host_os = @host_os@
367host_vendor = @host_vendor@
368htmldir = @htmldir@
369includedir = @includedir@
370infodir = @infodir@
371install_sh = @install_sh@
372libdir = @libdir@
373libexecdir = @libexecdir@
374libext = @libext@
375localedir = @localedir@
376localstatedir = @localstatedir@
377mandir = @mandir@
378mkdir_p = @mkdir_p@
379oldincludedir = @oldincludedir@
380pdfdir = @pdfdir@
381prefix = @prefix@
382program_transform_name = @program_transform_name@
383psdir = @psdir@
384sbindir = @sbindir@
385sharedstatedir = @sharedstatedir@
386srcdir = @srcdir@
387subdirs = @subdirs@
388sysconfdir = @sysconfdir@
389target_alias = @target_alias@
390top_build_prefix = @top_build_prefix@
391top_builddir = @top_builddir@
392top_srcdir = @top_srcdir@
393HTMLPAGES = testcurl.html runtests.html
394PDFPAGES = testcurl.pdf runtests.pdf
395EXTRA_DIST = ftpserver.pl httpserver.pl secureserver.pl runtests.pl getpart.pm \
396 FILEFORMAT README stunnel.pem memanalyze.pl testcurl.pl valgrind.pm ftp.pm   \
397 sshserver.pl sshhelp.pm testcurl.1 runtests.1 $(HTMLPAGES) $(PDFPAGES) \
398 serverhelp.pm tftpserver.pl rtspserver.pl directories.pm symbol-scan.pl \
399 CMakeLists.txt mem-include-scan.pl valgrind.supp http_pipe.py
400
401DISTCLEANFILES = configurehelp.pm
402@BUILD_UNITTESTS_FALSE@BUILD_UNIT = 
403
404# we have two variables here to make sure DIST_SUBDIRS won't get 'unit'
405# added twice as then targets such as 'distclean' misbehave and try to
406# do things twice in that subdir at times (and thus fails).
407@BUILD_UNITTESTS_TRUE@BUILD_UNIT = unit
408@BUILD_UNITTESTS_FALSE@DIST_UNIT = unit
409@BUILD_UNITTESTS_TRUE@DIST_UNIT = 
410SUBDIRS = certs data server libtest $(BUILD_UNIT)
411DIST_SUBDIRS = $(SUBDIRS) $(DIST_UNIT)
412PERLFLAGS = -I$(srcdir)
413CLEANFILES = .http.pid .https.pid .ftp.pid .ftps.pid
414MAN2HTML = roffit < $< >$@
415@CROSSCOMPILING_FALSE@TEST = srcdir=$(srcdir) $(PERL) $(PERLFLAGS) $(srcdir)/runtests.pl
416@CROSSCOMPILING_TRUE@TEST = @echo "NOTICE: we can't run the tests when cross-compiling!"
417@CROSSCOMPILING_FALSE@TEST_Q = -a -s
418@CROSSCOMPILING_FALSE@TEST_AM = -a -am
419@CROSSCOMPILING_FALSE@TEST_F = -a -p -r
420@CROSSCOMPILING_FALSE@TEST_T = -a -t
421all: all-recursive
422
423.SUFFIXES:
424.SUFFIXES: .1 .html .pdf
425$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
426	@for dep in $?; do \
427	  case '$(am__configure_deps)' in \
428	    *$$dep*) \
429	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
430	        && { if test -f $@; then exit 0; else break; fi; }; \
431	      exit 1;; \
432	  esac; \
433	done; \
434	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
435	$(am__cd) $(top_srcdir) && \
436	  $(AUTOMAKE) --foreign tests/Makefile
437.PRECIOUS: Makefile
438Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
439	@case '$?' in \
440	  *config.status*) \
441	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
442	  *) \
443	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
444	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
445	esac;
446
447$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
448	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
449
450$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
451	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
452$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
453	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
454$(am__aclocal_m4_deps):
455
456mostlyclean-libtool:
457	-rm -f *.lo
458
459clean-libtool:
460	-rm -rf .libs _libs
461
462# This directory's subdirectories are mostly independent; you can cd
463# into them and run 'make' without going through this Makefile.
464# To change the values of 'make' variables: instead of editing Makefiles,
465# (1) if the variable is set in 'config.status', edit 'config.status'
466#     (which will cause the Makefiles to be regenerated when you run 'make');
467# (2) otherwise, pass the desired values on the 'make' command line.
468$(am__recursive_targets):
469	@fail=; \
470	if $(am__make_keepgoing); then \
471	  failcom='fail=yes'; \
472	else \
473	  failcom='exit 1'; \
474	fi; \
475	dot_seen=no; \
476	target=`echo $@ | sed s/-recursive//`; \
477	case "$@" in \
478	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
479	  *) list='$(SUBDIRS)' ;; \
480	esac; \
481	for subdir in $$list; do \
482	  echo "Making $$target in $$subdir"; \
483	  if test "$$subdir" = "."; then \
484	    dot_seen=yes; \
485	    local_target="$$target-am"; \
486	  else \
487	    local_target="$$target"; \
488	  fi; \
489	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
490	  || eval $$failcom; \
491	done; \
492	if test "$$dot_seen" = "no"; then \
493	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
494	fi; test -z "$$fail"
495
496ID: $(am__tagged_files)
497	$(am__define_uniq_tagged_files); mkid -fID $$unique
498tags: tags-recursive
499TAGS: tags
500
501tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
502	set x; \
503	here=`pwd`; \
504	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
505	  include_option=--etags-include; \
506	  empty_fix=.; \
507	else \
508	  include_option=--include; \
509	  empty_fix=; \
510	fi; \
511	list='$(SUBDIRS)'; for subdir in $$list; do \
512	  if test "$$subdir" = .; then :; else \
513	    test ! -f $$subdir/TAGS || \
514	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
515	  fi; \
516	done; \
517	$(am__define_uniq_tagged_files); \
518	shift; \
519	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
520	  test -n "$$unique" || unique=$$empty_fix; \
521	  if test $$# -gt 0; then \
522	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
523	      "$$@" $$unique; \
524	  else \
525	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
526	      $$unique; \
527	  fi; \
528	fi
529ctags: ctags-recursive
530
531CTAGS: ctags
532ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
533	$(am__define_uniq_tagged_files); \
534	test -z "$(CTAGS_ARGS)$$unique" \
535	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
536	     $$unique
537
538GTAGS:
539	here=`$(am__cd) $(top_builddir) && pwd` \
540	  && $(am__cd) $(top_srcdir) \
541	  && gtags -i $(GTAGS_ARGS) "$$here"
542cscopelist: cscopelist-recursive
543
544cscopelist-am: $(am__tagged_files)
545	list='$(am__tagged_files)'; \
546	case "$(srcdir)" in \
547	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
548	  *) sdir=$(subdir)/$(srcdir) ;; \
549	esac; \
550	for i in $$list; do \
551	  if test -f "$$i"; then \
552	    echo "$(subdir)/$$i"; \
553	  else \
554	    echo "$$sdir/$$i"; \
555	  fi; \
556	done >> $(top_builddir)/cscope.files
557
558distclean-tags:
559	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
560
561distdir: $(DISTFILES)
562	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
563	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
564	list='$(DISTFILES)'; \
565	  dist_files=`for file in $$list; do echo $$file; done | \
566	  sed -e "s|^$$srcdirstrip/||;t" \
567	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
568	case $$dist_files in \
569	  */*) $(MKDIR_P) `echo "$$dist_files" | \
570			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
571			   sort -u` ;; \
572	esac; \
573	for file in $$dist_files; do \
574	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
575	  if test -d $$d/$$file; then \
576	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
577	    if test -d "$(distdir)/$$file"; then \
578	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
579	    fi; \
580	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
581	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
582	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
583	    fi; \
584	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
585	  else \
586	    test -f "$(distdir)/$$file" \
587	    || cp -p $$d/$$file "$(distdir)/$$file" \
588	    || exit 1; \
589	  fi; \
590	done
591	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
592	  if test "$$subdir" = .; then :; else \
593	    $(am__make_dryrun) \
594	      || test -d "$(distdir)/$$subdir" \
595	      || $(MKDIR_P) "$(distdir)/$$subdir" \
596	      || exit 1; \
597	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
598	    $(am__relativize); \
599	    new_distdir=$$reldir; \
600	    dir1=$$subdir; dir2="$(top_distdir)"; \
601	    $(am__relativize); \
602	    new_top_distdir=$$reldir; \
603	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
604	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
605	    ($(am__cd) $$subdir && \
606	      $(MAKE) $(AM_MAKEFLAGS) \
607	        top_distdir="$$new_top_distdir" \
608	        distdir="$$new_distdir" \
609		am__remove_distdir=: \
610		am__skip_length_check=: \
611		am__skip_mode_fix=: \
612	        distdir) \
613	      || exit 1; \
614	  fi; \
615	done
616check-am: all-am
617check: check-recursive
618all-am: Makefile
619installdirs: installdirs-recursive
620installdirs-am:
621install: install-recursive
622install-exec: install-exec-recursive
623install-data: install-data-recursive
624uninstall: uninstall-recursive
625
626install-am: all-am
627	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
628
629installcheck: installcheck-recursive
630install-strip:
631	if test -z '$(STRIP)'; then \
632	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
633	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
634	      install; \
635	else \
636	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
637	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
638	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
639	fi
640mostlyclean-generic:
641
642clean-generic:
643	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
644
645distclean-generic:
646	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
647	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
648	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
649
650maintainer-clean-generic:
651	@echo "This command is intended for maintainers to use"
652	@echo "it deletes files that may require special tools to rebuild."
653clean: clean-recursive
654
655clean-am: clean-generic clean-libtool mostlyclean-am
656
657distclean: distclean-recursive
658	-rm -f Makefile
659distclean-am: clean-am distclean-generic distclean-tags
660
661dvi: dvi-recursive
662
663dvi-am:
664
665html: html-recursive
666
667html-am:
668
669info: info-recursive
670
671info-am:
672
673install-data-am:
674
675install-dvi: install-dvi-recursive
676
677install-dvi-am:
678
679install-exec-am:
680
681install-html: install-html-recursive
682
683install-html-am:
684
685install-info: install-info-recursive
686
687install-info-am:
688
689install-man:
690
691install-pdf: install-pdf-recursive
692
693install-pdf-am:
694
695install-ps: install-ps-recursive
696
697install-ps-am:
698
699installcheck-am:
700
701maintainer-clean: maintainer-clean-recursive
702	-rm -f Makefile
703maintainer-clean-am: distclean-am maintainer-clean-generic
704
705mostlyclean: mostlyclean-recursive
706
707mostlyclean-am: mostlyclean-generic mostlyclean-libtool
708
709pdf: pdf-recursive
710
711pdf-am:
712
713ps: ps-recursive
714
715ps-am:
716
717uninstall-am:
718
719.MAKE: $(am__recursive_targets) install-am install-strip
720
721.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
722	check-am clean clean-generic clean-libtool cscopelist-am ctags \
723	ctags-am distclean distclean-generic distclean-libtool \
724	distclean-tags distdir dvi dvi-am html html-am info info-am \
725	install install-am install-data install-data-am install-dvi \
726	install-dvi-am install-exec install-exec-am install-html \
727	install-html-am install-info install-info-am install-man \
728	install-pdf install-pdf-am install-ps install-ps-am \
729	install-strip installcheck installcheck-am installdirs \
730	installdirs-am maintainer-clean maintainer-clean-generic \
731	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
732	ps ps-am tags tags-am uninstall uninstall-am
733
734
735curl:
736	@cd $(top_builddir) && $(MAKE)
737
738# make sure that PERL is pointing to an executable
739perlcheck:
740	@if ! test -x "$(PERL)"; then echo "No perl!"; exit 2; fi
741
742test: perlcheck all
743	$(TEST)
744
745quiet-test: perlcheck all
746	$(TEST) $(TEST_Q)
747
748am-test: perlcheck all
749	$(TEST) $(TEST_AM)
750
751full-test: perlcheck all
752	$(TEST) $(TEST_F)
753
754torture-test: perlcheck all
755	$(TEST) $(TEST_T)
756
757.1.html:
758	$(MAN2HTML)
759
760.1.pdf:
761	@(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
762	groff -Tps -man $< >$$foo.ps; \
763	ps2pdf $$foo.ps $@; \
764	rm $$foo.ps; \
765	echo "converted $< to $@")
766
767# Tell versions [3.59,3.63) of GNU make to not export all variables.
768# Otherwise a system limit (for SysV at least) may be exceeded.
769.NOEXPORT:
770